Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Interface Position

    @UML(identifier="TM_Position",
         specification=ISO_19108)
    public interface Position

A union class that consists of one of the data types listed as its attributes. Date, Time, and DateTime are basic data types defined in ISO/TS 19103, and may be used for describing temporal positions referenced to the Gregorian calendar and UTC.

Method Summary
`TemporalPosition` | `anyOther()` TemporalPosition and its subtypes shall be used for describing temporal positions referenced to other reference systems, and may be used for temporal positions referenced to any calendar or clock, including the Gregorian calendar and UTC.
`Date` | `getDate()` May be used for describing temporal positions in ISO8601 format referenced to the Gregorian calendar and UTC.
`InternationalString` | `getDateTime()` May be used for describing temporal positions in ISO8601 format referenced to the Gregorian calendar and UTC.
`Time` | `getTime()` May be used for describing temporal positions in ISO8601 format referenced to the Gregorian calendar and UTC.

Method Detail

### anyOther

    @UML(identifier="anyOther",
         obligation=OPTIONAL,
         specification=ISO_19108)
    TemporalPosition anyOther()

  TemporalPosition and its subtypes shall be used for describing temporal positions referenced to other reference systems, and may be used for temporal positions referenced to any calendar or clock, including the Gregorian calendar and UTC.

  Returns:
    TemporalPosition

### getDate

    @UML(identifier="date8601",
         obligation=OPTIONAL,
         specification=ISO_19108)
    Date getDate()

  May be used for describing temporal positions in ISO8601 format referenced to the Gregorian calendar and UTC.

  Returns:
    InternationalString

### getTime

    @UML(identifier="time8601",
         obligation=OPTIONAL,
         specification=ISO_19108)
    Time getTime()

  May be used for describing temporal positions in ISO8601 format referenced to the Gregorian calendar and UTC.

  Returns:
    InternationalString

### getDateTime

    @UML(identifier="dateTime8601",
         obligation=OPTIONAL,
         specification=ISO_19108)
    InternationalString getDateTime()

  May be used for describing temporal positions in ISO8601 format referenced to the Gregorian calendar and UTC.

  Returns:
    InternationalString

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.